﻿using AspNetCoreLecture.Data.Dto;

namespace AspNetCoreLecture.Data.Repository
{
    public interface IRepository<TDto> where TDto : IEntityDto
    {
        void Create(TDto record);
        void Delete(TDto record);
        TDto Get(int id);
        IEnumerable<TDto> Get(IEnumerable<int> ids);
        IEnumerable<TDto> GetAll();
        void Update(TDto record);
    }
}