﻿using AspNetCoreLecture.Data.Dto;
using System.ComponentModel.DataAnnotations;

namespace AspNetCoreLecture.Models
{
    public class GradeInsertViewModel
    {
        public int StudentId { get; set; }
        public string StudentName { get; set; }
        [Required]
        public int CourseId { get; set; }
        public IEnumerable<CourseDto> AvailableCourses { get; set; }
        [Required]
        public string Grade { get; set; }

        public GradeDto ToDto() => new()
        {
            CourseId = CourseId,
            StudentId = StudentId,
            GradeLetter = Grade
        };
    }
}
