﻿using AspNetCoreLecture.Data.Dto;
using System.ComponentModel.DataAnnotations;

namespace AspNetCoreLecture.Models
{
    public class GradeUpdateViewModel
    {
        public int Id { get; set; }
        [Required]
        public int StudentId { get; set; }
        public string StudentName { get; set; }
        [Required]
        public int CourseId { get; set; }
        public string CourseName { get; set; }
        [Required]
        public string Grade { get; set; }

        public GradeDto ToDto() => new()
        {
            CourseId = CourseId,
            GradeLetter = Grade,
            Id = Id,
            StudentId = StudentId,
        };
    }
}
