﻿using AspNetCoreLecture.Data.Dto;
using Mapster;
using System.ComponentModel.DataAnnotations;

namespace AspNetCoreLecture.Models
{
    public class StudentUpsertViewModel
    {
        public int Id { get; set; }
        [Required]
        public string FirstName { get; set; }
        [Required]
        public string LastName { get; set; }

        public StudentDto ToDto() => this.Adapt<StudentDto>();
    }
}
